Permalink
Browse files

Relax dependency on cucumber to allow usage with Rails 5.2

  • Loading branch information...
ykitamura-mdsol committed May 22, 2018
1 parent 41933f3 commit 1f2b7663063e0670a0ab9cd29dbc95eb92dd5c89
Showing with 151 additions and 125 deletions.
  1. +137 −113 Gemfile.lock
  2. +3 −0 History.txt
  3. +1 −2 Rakefile.d/cucumber.rake
  4. +7 −7 features/app/app.rb
  5. +1 −1 lib/pickle/version.rb
  6. +2 −2 pickle.gemspec
@@ -8,174 +8,198 @@ GIT
PATH
remote: .
specs:
pickle (0.5.4)
cucumber (>= 0.8, < 3.0)
pickle (0.5.5)
cucumber (>= 0.8, < 4.0)
rake

GEM
remote: http://rubygems.org/
specs:
actionmailer (4.2.9)
actionpack (= 4.2.9)
actionview (= 4.2.9)
activejob (= 4.2.9)
actioncable (5.2.0)
actionpack (= 5.2.0)
nio4r (~> 2.0)
websocket-driver (>= 0.6.1)
actionmailer (5.2.0)
actionpack (= 5.2.0)
actionview (= 5.2.0)
activejob (= 5.2.0)
mail (~> 2.5, >= 2.5.4)
rails-dom-testing (~> 1.0, >= 1.0.5)
actionpack (4.2.9)
actionview (= 4.2.9)
activesupport (= 4.2.9)
rack (~> 1.6)
rack-test (~> 0.6.2)
rails-dom-testing (~> 1.0, >= 1.0.5)
rails-dom-testing (~> 2.0)
actionpack (5.2.0)
actionview (= 5.2.0)
activesupport (= 5.2.0)
rack (~> 2.0)
rack-test (>= 0.6.3)
rails-dom-testing (~> 2.0)
rails-html-sanitizer (~> 1.0, >= 1.0.2)
actionview (4.2.9)
activesupport (= 4.2.9)
actionview (5.2.0)
activesupport (= 5.2.0)
builder (~> 3.1)
erubis (~> 2.7.0)
rails-dom-testing (~> 1.0, >= 1.0.5)
erubi (~> 1.4)
rails-dom-testing (~> 2.0)
rails-html-sanitizer (~> 1.0, >= 1.0.3)
activejob (4.2.9)
activesupport (= 4.2.9)
globalid (>= 0.3.0)
activemodel (4.2.9)
activesupport (= 4.2.9)
builder (~> 3.1)
activerecord (4.2.9)
activemodel (= 4.2.9)
activesupport (= 4.2.9)
arel (~> 6.0)
activesupport (4.2.9)
i18n (~> 0.7)
activejob (5.2.0)
activesupport (= 5.2.0)
globalid (>= 0.3.6)
activemodel (5.2.0)
activesupport (= 5.2.0)
activerecord (5.2.0)
activemodel (= 5.2.0)
activesupport (= 5.2.0)
arel (>= 9.0)
activestorage (5.2.0)
actionpack (= 5.2.0)
activerecord (= 5.2.0)
marcel (~> 0.3.1)
activesupport (5.2.0)
concurrent-ruby (~> 1.0, >= 1.0.2)
i18n (>= 0.7, < 2)
minitest (~> 5.1)
thread_safe (~> 0.3, >= 0.3.4)
tzinfo (~> 1.1)
addressable (2.5.1)
public_suffix (~> 2.0, >= 2.0.2)
arel (6.0.4)
addressable (2.5.2)
public_suffix (>= 2.0.2, < 4.0)
arel (9.0.0)
backports (3.11.3)
builder (3.2.3)
capybara (2.15.1)
capybara (3.1.0)
addressable
mini_mime (>= 0.1.3)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
xpath (~> 2.0)
nokogiri (~> 1.8)
rack (>= 1.6.0)
rack-test (>= 0.6.3)
xpath (~> 3.0)
codecov (0.1.10)
json
simplecov
url
concurrent-ruby (1.0.5)
cucumber (2.4.0)
crass (1.0.4)
cucumber (3.1.0)
builder (>= 2.1.2)
cucumber-core (~> 1.5.0)
cucumber-core (~> 3.1.0)
cucumber-expressions (~> 5.0.4)
cucumber-wire (~> 0.0.1)
diff-lcs (>= 1.1.3)
gherkin (~> 4.0)
diff-lcs (~> 1.3)
gherkin (~> 5.0)
multi_json (>= 1.7.5, < 2.0)
multi_test (>= 0.1.2)
cucumber-core (1.5.0)
gherkin (~> 4.0)
cucumber-rails (1.5.0)
capybara (>= 1.1.2, < 3)
cucumber (>= 1.3.8, < 4)
cucumber-core (3.1.0)
backports (>= 3.8.0)
cucumber-tag_expressions (~> 1.1.0)
gherkin (>= 5.0.0)
cucumber-expressions (5.0.18)
cucumber-rails (1.6.0)
capybara (>= 1.1.2, < 4)
cucumber (>= 3.0.2, < 4)
mime-types (>= 1.17, < 4)
nokogiri (~> 1.5)
railties (>= 4, < 5.2)
nokogiri (~> 1.8)
railties (>= 4, < 6)
cucumber-tag_expressions (1.1.1)
cucumber-wire (0.0.1)
database_cleaner (1.6.1)
database_cleaner (1.7.0)
diff-lcs (1.3)
docile (1.1.5)
erubis (2.7.0)
docile (1.3.0)
erubi (1.7.1)
factory_bot (4.8.2)
activesupport (>= 3.0.0)
gherkin (4.1.3)
git (1.3.0)
globalid (0.4.0)
gherkin (5.0.0)
git (1.4.0)
globalid (0.4.1)
activesupport (>= 4.2.0)
i18n (0.8.6)
i18n (1.0.1)
concurrent-ruby (~> 1.0)
json (2.1.0)
loofah (2.0.3)
loofah (2.2.2)
crass (~> 1.0.2)
nokogiri (>= 1.5.9)
machinist (2.0)
mail (2.6.6)
mime-types (>= 1.16, < 4)
mail (2.7.0)
mini_mime (>= 0.1.1)
marcel (0.3.2)
mimemagic (~> 0.3.2)
method_source (0.9.0)
mime-types (3.1)
mime-types-data (~> 3.2015)
mime-types-data (3.2016.0521)
mini_mime (0.1.4)
mini_portile2 (2.2.0)
minitest (5.10.3)
multi_json (1.12.1)
mimemagic (0.3.2)
mini_mime (1.0.0)
mini_portile2 (2.3.0)
minitest (5.11.3)
multi_json (1.13.1)
multi_test (0.1.2)
nokogiri (1.8.0)
mini_portile2 (~> 2.2.0)
public_suffix (2.0.5)
rack (1.6.8)
rack-test (0.6.3)
rack (>= 1.0)
rails (4.2.9)
actionmailer (= 4.2.9)
actionpack (= 4.2.9)
actionview (= 4.2.9)
activejob (= 4.2.9)
activemodel (= 4.2.9)
activerecord (= 4.2.9)
activesupport (= 4.2.9)
bundler (>= 1.3.0, < 2.0)
railties (= 4.2.9)
sprockets-rails
rails-deprecated_sanitizer (1.0.3)
activesupport (>= 4.2.0.alpha)
rails-dom-testing (1.0.8)
activesupport (>= 4.2.0.beta, < 5.0)
nokogiri (~> 1.6)
rails-deprecated_sanitizer (>= 1.0.1)
rails-html-sanitizer (1.0.3)
loofah (~> 2.0)
railties (4.2.9)
actionpack (= 4.2.9)
activesupport (= 4.2.9)
nio4r (2.3.1)
nokogiri (1.8.2)
mini_portile2 (~> 2.3.0)
public_suffix (3.0.2)
rack (2.0.5)
rack-test (1.0.0)
rack (>= 1.0, < 3)
rails (5.2.0)
actioncable (= 5.2.0)
actionmailer (= 5.2.0)
actionpack (= 5.2.0)
actionview (= 5.2.0)
activejob (= 5.2.0)
activemodel (= 5.2.0)
activerecord (= 5.2.0)
activestorage (= 5.2.0)
activesupport (= 5.2.0)
bundler (>= 1.3.0)
railties (= 5.2.0)
sprockets-rails (>= 2.0.0)
rails-dom-testing (2.0.3)
activesupport (>= 4.2.0)
nokogiri (>= 1.6)
rails-html-sanitizer (1.0.4)
loofah (~> 2.2, >= 2.2.2)
railties (5.2.0)
actionpack (= 5.2.0)
activesupport (= 5.2.0)
method_source
rake (>= 0.8.7)
thor (>= 0.18.1, < 2.0)
rake (12.0.0)
rspec-core (3.6.0)
rspec-support (~> 3.6.0)
rspec-expectations (3.6.0)
rake (12.3.1)
rspec-core (3.7.1)
rspec-support (~> 3.7.0)
rspec-expectations (3.7.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.6.0)
rspec-mocks (3.6.0)
rspec-support (~> 3.7.0)
rspec-mocks (3.7.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.6.0)
rspec-rails (3.6.1)
rspec-support (~> 3.7.0)
rspec-rails (3.7.2)
actionpack (>= 3.0)
activesupport (>= 3.0)
railties (>= 3.0)
rspec-core (~> 3.6.0)
rspec-expectations (~> 3.6.0)
rspec-mocks (~> 3.6.0)
rspec-support (~> 3.6.0)
rspec-support (3.6.0)
simplecov (0.15.0)
docile (~> 1.1.0)
rspec-core (~> 3.7.0)
rspec-expectations (~> 3.7.0)
rspec-mocks (~> 3.7.0)
rspec-support (~> 3.7.0)
rspec-support (3.7.1)
simplecov (0.16.1)
docile (~> 1.1)
json (>= 1.8, < 3)
simplecov-html (~> 0.10.0)
simplecov-html (0.10.2)
sprockets (3.7.1)
concurrent-ruby (~> 1.0)
rack (> 1, < 3)
sprockets-rails (3.2.0)
sprockets-rails (3.2.1)
actionpack (>= 4.0)
activesupport (>= 4.0)
sprockets (>= 3.0.0)
sqlite3 (1.3.13)
thor (0.20.0)
thread_safe (0.3.6)
tzinfo (1.2.3)
tzinfo (1.2.5)
thread_safe (~> 0.1)
url (0.3.2)
xpath (2.1.0)
nokogiri (~> 1.3)
yard (0.9.9)
websocket-driver (0.7.0)
websocket-extensions (>= 0.1.0)
websocket-extensions (0.1.3)
xpath (3.0.0)
nokogiri (~> 1.8)
yard (0.9.12)

PLATFORMS
ruby
@@ -192,10 +216,10 @@ DEPENDENCIES
machinist
pickle!
rack
rails (~> 4.2.6)
rails (~> 5.2.0)
rspec-rails (~> 3.0)
sqlite3
yard

BUNDLED WITH
1.16.0
1.16.2
@@ -1,3 +1,6 @@
== 0.5.5
* Relax dependency on cucumber to allow usage with Rails 5.2

== 0.5.4
* updated FactoryGirl to FactoryBot

@@ -16,10 +16,9 @@ namespace :cucumber do
Bundler.with_clean_env do
gemfile = "cucumber_test_app/Gemfile"
rm_rf "cucumber_test_app"
sh "bundle exec rails new cucumber_test_app --skip-spring --skip-javascript --skip-sprockets"
sh "bundle exec rails new cucumber_test_app --skip-spring --skip-javascript --skip-sprockets --skip-bootsnap"
sh "echo 'gem \"cucumber-rails\", :require => false' >> #{gemfile}"
sh "echo 'gem \"rspec-rails\", \"~>3.0\"' >> #{gemfile}"
sh "echo 'gem \"capybara\"' >> #{gemfile}"
sh "echo 'gem \"pickle\", path: \"#{__dir__}/..\"' >> #{gemfile}"
sh "bundle install --gemfile=#{gemfile}"
sh "(cd cucumber_test_app ; bundle exec rake db:migrate)"
@@ -90,19 +90,19 @@ def no_attitude?
# controllers
class DefaultController < ActionController::Base
def index
render :text => "index: I was invoked with #{request.path}"
render :plain => "index: I was invoked with #{request.path}"
end

def show
render :text => "show: I was invoked with #{request.path}"
render :plain => "show: I was invoked with #{request.path}"
end

def new
render :text => "new: I was invoked with #{request.path}"
render :plain => "new: I was invoked with #{request.path}"
end

def edit
render :text => "edit: I was invoked with #{request.path}"
render :plain => "edit: I was invoked with #{request.path}"
end
end

@@ -1,3 +1,3 @@
module Pickle
VERSION = "0.5.4"
VERSION = "0.5.5"
end
@@ -19,15 +19,15 @@ Gem::Specification.new do |s|
s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
s.require_paths = ["lib"]

s.add_dependency "cucumber", ">=0.8", "< 3.0"
s.add_dependency "cucumber", ">=0.8", "< 4.0"
s.add_dependency "rake"

s.add_development_dependency "rack"
s.add_development_dependency "bundler"
s.add_development_dependency "git"
s.add_development_dependency "yard"
s.add_development_dependency "rspec-rails", "~>3.0"
s.add_development_dependency "rails", "~>4.2.6"
s.add_development_dependency "rails", "~>5.2.0"
s.add_development_dependency "cucumber-rails"
s.add_development_dependency "factory_bot"
s.add_development_dependency "fabrication", '~> 2.0'

0 comments on commit 1f2b766

Please sign in to comment.